<?xml version="1.0" encoding="utf-8"?>

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/forground_color"
    tools:context=".main.MainScrollActivity">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBar"
        android:background="@color/forground_color"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="55dp"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">

                <ImageView
                    android:id="@+id/image_tool"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@id/text_app_name"
                    android:layout_alignBottom="@id/text_app_name"
                    android:contentDescription="Sidebar"
                    android:paddingHorizontal="15dp"
                    android:src="@mipmap/more_point" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/text_app_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_toEndOf="@+id/image_tool"
                    style="@style/TextTitleBig"
                    android:visibility="visible"
                    android:text="@string/app_name" />
            </RelativeLayout>


        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tablelayout"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:background="@color/forground_color"
            app:tabGravity="center"
            app:layout_collapseMode="pin"
            app:tabIndicatorColor="@color/module_title_color"
            app:tabIndicatorFullWidth="true"
            app:tabIndicatorHeight="@dimen/tab_indicator_height"
            app:tabMaxWidth="100dp"
            app:tabMinWidth="100dp"
            app:tabMode="scrollable"
            app:tabRippleColor="@null"
            app:tabSelectedTextColor="@color/module_title_color"
            app:tabTextColor="@color/main_tab_unselected"
            app:tabTextAppearance="@style/NoCapsTabTextAppearance"/>


    </com.google.android.material.appbar.AppBarLayout>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewpager3"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>
